Bug 837615 - RFE: Open window for new mount mounted via Archive Mounter
RFE: Open window for new mount mounted via Archive Mounter
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nautilus (Show other bugs)
7.0
x86_64 Linux
low Severity low
: beta
: 7.0
Assigned To: Carlos Soriano
Desktop QE
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 07:45 EDT by Vladimir Benes
Modified: 2017-07-01 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-07-04 07:45:54 EDT
Description of problem:
when I have zip archive and no file-roller installed I click Open With Archive Mounter in menu and nothing happens.. I suspect this is even blocking finding correct application (file-roller) for it as is set as default.

Version-Release number of selected component (if applicable):
nautilus-3.4.2-5.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.uninstall file-roller
2.ontain some zip file
3.double click it in nautilus
  
Actual results:
nothing happens

Expected results:
archive mounted or
option to install file-roller should be raised

Additional info:
Comment 1 Tomáš Bžatek 2012-07-04 07:52:13 EDT
This is not a bug, it's a feature. Archive Mounter comes from gvfs and it's a dirty hack we've been distributing. Nautilus handles new GVfs mounts not coming from its UI silently. 

Changing to RFE, this is more a design issue and having an usability case would be a plus.
Comment 2 Vladimir Benes 2012-07-04 08:08:03 EDT
ahaaa.. I see it in side bar.. hmm some notification that it was mounted would be nice in G-S or direct opening of that dir would be nice as well.
Comment 3 Matthias Clasen 2013-07-01 17:33:04 EDT
Recommended simple fix: remove gvfs-archive from the default install.
In depth discussion of possible improvements: https://wiki.gnome.org/GnomeOS/Design/Whiteboards/Archives
Comment 4 Ludek Smid 2014-06-26 05:04:33 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.
Comment 5 Ludek Smid 2014-06-26 07:15:15 EDT
The comment above is incorrect. The correct version is bellow.
I'm sorry for any inconvenience.
---------------------------------------------------------------

This request was NOT resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you need
to escalate this bug.

Note You need to log in before you can comment on or make changes to this bug.